
#include "dos.h"

#define ESC 0x1b

main()
{
unsigned int CountLow,CountHigh,TotalCount,Key;
	clrscr();
	printf("Program to test counters1 and 2 on the PC WDT card\n\n");
	/* Set up the timer/counters 1 as a pulse counter */
	outportb(0x313,0x70);
	/* Set up the timer/counter2 as a square wave generator */
	outportb(0x313,0xb6);
	/* load timer/counter1 with 0 to count down from */
	outportb(0x311,0x0);
	outportb(0x311,0x0);
	/* load timer/counter2 with 1600  to produce a frequency of 1600/3200 or 0.5Hz */
	outportb(0x312,0x40);
	outportb(0x312,0x6);
	/* Bring Gates 1 and 2 high */
	outportb(0x314,0x0c);
	printf("Print ESC key to exit program\n");

	do {
		delay(1000);  /* wait 1 sec */
		outportb(0x313,0x040); /* latch the counter 1's contents */
		CountLow=inportb(0x311);
		CountHigh=inportb(0x311);
		TotalCount=CountHigh*0x100+CountLow;
		printf("Counter 1's Count = %u\n",TotalCount);
		Key=0;
		if(bioskey(1)) {
			Key=bioskey(0)%0x100;
			}
		} while(Key!=ESC);
}

